Browse Source

Update to Shellfu v0.10.1

Alois Mahdal 6 years ago
parent
commit
00fac8b928

+ 3
- 1
packaging/debian/control View File

@@ -8,7 +8,9 @@ Build-Depends: debhelper (>= 9)
8 8
 
9 9
 Package: saturnin-demo
10 10
 Architecture: all
11
-Depends: shellfu-bash, shellfu-bash-core, shellfu-bash-saturnin (>= 0.4.6)
11
+Depends:
12
+ shellfu (>= 0.10.1),
13
+ shellfu-bash-saturnin (>= 0.4.6)
12 14
 Description: __MKIT_PROJ_TAGLINE__
13 15
  saturnin is Shellfu library that helps you easily build toolkit from
14 16
  various scripts that you may have lying around.  Instead of having a

+ 1
- 2
packaging/template.spec View File

@@ -8,8 +8,7 @@ Source0:	%{name}-%{version}.tar.gz
8 8
 
9 9
 BuildArch:	noarch
10 10
 BuildRequires:	coreutils git
11
-Requires:	shellfu-bash
12
-Requires:	shellfu-bash-core
11
+Requires:	shellfu >= 0.10.1
13 12
 Requires:	shellfu-bash-saturnin >= 0.4.6
14 13
 
15 14
 %description

+ 1
- 1
src/bin/app.skel View File

@@ -1,7 +1,7 @@
1 1
 #!/bin/bash
2 2
 #shellcheck disable=SC1090,SC2034
3 3
 
4
-. "$(shellfu-get path)" || exit 3
4
+. "$(sfpath)" || exit 3
5 5
 
6 6
 {
7 7
     SATURNIN_APP_CODENAME="__MKIT_PROJ_CODENAME__"

+ 1
- 1
src/libexec/saturnin-demo-dump View File

@@ -1,5 +1,5 @@
1 1
 #!/bin/bash
2 2
 
3
-. "$(shellfu-get path)" || exit 3
3
+. "$(sfpath)" || exit 3
4 4
 
5 5
 env | sort | xargs -L 1 saturnin-demo echo

+ 1
- 1
src/libexec/saturnin-demo-echo View File

@@ -1,6 +1,6 @@
1 1
 #!/bin/bash
2 2
 
3
-. "$(shellfu-get path)" || exit 3
3
+. "$(sfpath)" || exit 3
4 4
 
5 5
 shellfu import saturnin
6 6